### Method

# ECal ComponentAlarmInstance get_rid

since: 3.40

#### Declaration [src]

    const gchar*
    e_cal_component_alarm_instance_get_rid (
      const ECalComponentAlarmInstance* instance
    )

#### Description

No description available.

Available since: 3.40

#### Return value

Type: `const gchar*`

The Recurrence ID of the component this `instance` was generated for.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.